Page({

    /**
     * 页面的初始数据
     */
    data: {
        url: ''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        console.log(options)
        if(!options.url){
            wx.showToast({
                title: '系统错误：未获取到签约地址',
                icon : 'none'
            })
            return
        }
        this.setData({
            url: decodeURIComponent(options.url)
        })
    },
    /**
     * 监听签署结果
     */
    handleGetMessage(e){
        if(e.detail.data[0].result=='success'){
            wx.redirectTo({
                url: '/pages/idcard/success/success?type=sign',
            })
        }
    },
    /**
     * 重新定向url
     */
    reloadPage(redirectUrl) {
        this.setData({
            url: redirectUrl,
        })
    }
})